function str = sanitizestring(str)
    % SANITIZESTRING Santitizes a string by replacing unwanted characters.
    % -----
    % (c) Copyright 2022 University of Liege
    % Author: Thomas Lambert <t.lambert@uliege.be>
    % ULiege - Aeroelasticity and Experimental Aerodynamics
    % Apache 2.0 License
    % https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox

    % ----------------------------------------------------------------------------------------------

    % Mapping table (maps unwanted chars with their replacements)
    mappingTable = {' ', '_'
                    '%', 'pc'};

    % -------------------------------------------
    % STRING SANITIZATION

    % Remove whitespaces at the beginning and end of the string
    str = strtrim(str);

    % Remove multiple consecutive whitespaces
    str = regexprep(str, ' +', ' ');

    % Replace characters according to mapping table
    for i = 1:size(mappingTable, 1)
        str = replace(str, mappingTable{i, 1}, mappingTable{i, 2});
    end

end
