# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- **Polar** class

### Changed

### Deprecated

### Removed

### Fixed

## [3.0.0] - 2022-06-06

### Changed

- **BREAKING**: Change file input type for **xf2mat** and **formatairfoilcoord**

## [2.0.1] - 2022-05-24

### Added

- Unit tests for **utils.selig** and **utils.lednicer**
- **xf2mat**: test for autosave

### Fixed

- **xf2mat**: bug with autosave

## [2.0.0] - 2022-04-24

### Added

- Start using MISS_HIT for style and code analysis.
- ci: Add MISS_HIT job in pipeline
- ci: Add pre-commit hook for miss_hit

### Changed

- **BREAKING**: Renamed **uiuccleaner** in **formatairfoilcoord**
- **BREAKING**: Changed output format for **nacacamber** and **nacaairfoil**

- Feat: Add possibility to select output style for **formatairfoilcoord**
- Feat: Add Selig and Lednicer utils for airfoil formatting
- Feat: Add option to select output format for **nacaairfoil**

- Style: Adopt style from MISS_HIT
- Copyright notice: change main copyright holder to the University
- Doc: Revamp `CONTRIBUTING.md` to put emphasis on MISS_HIT and conventions
- Refactor: Rework functions to lower their complexity using mh_metrics
- Refactor:  Rename lift, drag and moment coefficient variables to avoid conflict
  with `cd` command.

## [1.2.0] - 2022-04-10

### Added

- **uiuccleaner**: Add `refine` option to allow the refining of the  original
  datafile (spline interpolation to add more points).

### Changed

- Refactor of spacing function (**nacacamber**, **uiuccleaner**).

### Fixed

- **utils.parsefileinputs**: minor fix in case inputFiles is a cell array

## [1.1.0] - 2022-04-10

### Added

- **nacaairfoil**: Added `savedat` option
- **Added uiuccleaner function**.

### Changed

- **nacaairfoil**: Coordinates outputted now start at TE, go along upper side to
  LE, then go along lower side back to TE.
- **xf2mat**: Refactor input parsing.

## [1.0.0] - 2022-04-08

- Initial release

[Unreleased]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v3.0.0...master
[3.0.1]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v2.0.1...v3.0.0
[2.0.1]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v2.0.0...v2.0.1
[2.0.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v1.2.0...v2.0.0
[1.2.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v1.1.0...v1.2.0
[1.1.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/compare/v1.0.0...v1.1.0
[1.0.0]: https://gitlab.uliege.be/am-dept/matlab_airfoil_toolbox/-/releases/v1.0.0
